<?php 
/****************************************************************/
/*          e-mo.pl © 2017                                      */
/*          http://www.e-mo.com.pl                              */
/*          e-mail: info@e-mo.pl                                */
/*          produkt: Action2osCommerce                          */
/*          wersja: 1.9.7                                       */
/*          webserwis: oscGold                                  */
/*          sciezka: https://www.e-mo.com.pl/plikit,1918,533545b244d7d.php*/
/*          data: 2017-09-25                                    */
/*          godz: 10:45:16                                      */
/****************************************************************/


@require_once('source/parametry.php');
@require_once('source/products.php');
@require_once('source/languages.php');

$jezyk = languages::Szukaj($db->Conn);


$obj= new parametry();
$obj->Conn = $db->Conn;

$obj->Jezyk =$jezyk;

$obj->Nazwa = $_POST['parametr'];
$obj->id = $obj->Szukaj($_POST['parametr']);

if($obj->id == 0)
{
	if($obj->UsunWartosc())
	{
		echo '<przy error="0" name="Usuwanie wartosc" msg="OK" />';
	}
	else 
	{
		echo '<przy error="1" name="Usuwanie wartosci" msg="'.$obj->errMsg[2].'" />';
	}


	if($obj->Dodaj())
	{
		echo '<przy error="0" name="Dodawanie parametru" msg="Parametr dodano" />';
	}
	else 
	{
		echo '<przy error="1" name="Dodawanie parametru" msg="'.$obj->errMsg[2].'" />';
	}
}
else 
{
	echo '<przy error="0" name="Parametr" msg="Parametr istnieje" />';
}

$produkty = new products();
$produkty->Conn = $db->Conn;
$produkty->products_model =  $_POST['p_PN'];
$produkty->products_id = $produkty->Sprawdz();

$obj->Produkt = $produkty->products_id;

if($produkty->products_id>0)
{

$obj->Wartosc = $_POST['wartosc'];
$obj->wartoscId = $obj->SzukajWartosc($_POST['wartosc']);

	if($obj->wartoscId == 0)
	{
		if($obj->DodajWartosc())
		{
			echo '<przy error="0" name="Dodawanie wartosc" msg="Parametr dodano" />';
		}
		else 
		{
			echo '<przy error="1" name="Dodawanie wartosci" msg="'.$obj->errMsg[2].'" />';
		}
	}
	else 
	{
		echo '<przy error="0" name="Wartosc" msg="Wartosc istnieje" />';
	}
}
else 
{
	echo '<przy error="1" name="Produkt" msg="Produkt nie istnieje" />';
}


/**



if($produkty->products_id>0)
{
	
	$jest = $obj->SzukajProdukt();

	if($jest==0)
	{
		if($obj->DodajProdukt())
		{
			echo '<przy error="0" name="Dodawanie produktu do wartosci" msg="Parametr dodano" />';
		}
		else 
		{
			echo '<przy error="1" name="Dodawanie produktu do wartosci" msg="'.$obj->errMsg[2].'" />';
		}
	}
	else
	{
		echo '<przy error="0" name="Dodawanie produktu do wartosci" msg="Wartosc istnieje" />';
	}
}
else 
{
	echo '<przy error="1" name="Produkt" msg="Produkt nie istnieje" />';
}

**/

?>
